{
	"name": "form/nc/nc-define/convert/preference/convert_4d_input_tags.json",
	"convert": [
		{
			"field": {
				"tag": "span",
				"attribute": [
					{
						"id": "splitter"
					}
				]
			},
			"tag": {
				"tag": "nc-splitter"
			}
		},
		{
			"field": {
				"tag": "button",
				"attribute": [
					{
						"type": "button"
					}
				]
			},
			"tag": {
				"tag": "nc-button"
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea5_1"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-5-1"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea4_1"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-4-1"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea3_1"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-3-1"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea3_2"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-3-2"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea3_3"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-3-3"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea2_1"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-2-1"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea2_2"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-2-2"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea2_3"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-2-3"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea1_1"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-1-1"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea1_2"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-1-2"
					}
				]
			}
		},
		{
			"field": {
				"tag": "div",
				"attribute": [
					{
						"id": "_fii_lplgArea1_3"
					}
				]
			},
			"tag": {
				"tag": "nc-grid",
				"attribute": [
					{
						"id": "grid-1-3"
					}
				]
			}
		}
	],
	"replace": [
		{
			"field": "select",
			"tag": "nc-dropdown"
		},
		{
			"field": "span",
			"tag": "nc-span"
		},
		{
			"field": "input",
			"tag": "nc-input"
		},
		{
			"field": "textarea",
			"tag": "nc-textarea"
		},
		{
			"field": "form",
			"tag": "nc-form"
		},
		{
			"field": "hr",
			"tag": "nc-line"
		},
		{
			"field": "label",
			"tag": "nc-label"
		},
		{
			"field": "fieldset",
			"tag": ""
		},
		{
			"field": "legend",
			"tag": ""
		},
		{
			"field": "option",
			"tag": ""
		},
		{
			"field": "head",
			"tag": ""
		},
		{
			"field": "script",
			"tag": ""
		},
		{
			"field": "comment",
			"tag": ""
		},
		{
			"field": ";;;nbsp;;;",
			"tag": "&nbsp;"
		},
		{
			"field": ";;;times;;;",
			"tag": "&times;"
		},
		{
			"field": ";;;amp;amp;;;",
			"tag": "&&"
		},
		{
			"field": ";;;lt;;;",
			"tag": " < "
		},
		{
			"field": ";;;gt;;;",
			"tag": " > "
		},
		{
			"field": "nc-htmlAtSign",
			"tag": "@"
		},
		{
			"field": "div.",
			"tag": "."
		}
	],
	"replace_code": {
		"add_code_end": "\nreturn ret\n",
		"add_code_start": "\nconst method = {}\nconst ret = {\n\tname: \"{{componentName}}\",\n\tmethods: method\n}\n",
		"replace": [
			{
				"field": "\n\n\n",
				"tag": "\n"
			},
			{
				"field": "\n\n",
				"tag": "\n"
			}
		]
	}
}
